Mobile and Online Banking Requirements

On May 24, 2018, we will be updating the security protocol for Online Banking. You will need to upgrade to the most recent version of your web browser or mobile phone operating system to avoid issues logging into Online Banking.

Mobile App Requirements

  • iOS: iOS 8 and newer
  • Android: 4.4 and newer
  • Windows: 8.1 and newer
  • Download from the Apple Store and Google Play

Online Banking Requirements

  • Recent versions of Chrome, Edge, and Firefox
  • Internet Explorer versions 10 and 11
  • Safari version 9 and higher
  • Use these links to download current versions of Chrome, Edge, Firefox, Internet Explorer and Safari

The update entails disabling the TLS 1.0 encryption protocol, which may prevent you from using some or all of your online and mobile banking functionality. To avoid service interruption, upgrade your browsers to disable TLS 1.0 and use TLS 1.1 or higher. 

TLS stands for “Transport Layer Security.” It is a protocol that provides privacy and data integrity between two communicating applications. It’s the most widely deployed security protocol used today, and is used for web browsers and other applications that require data to be securely exchanged over a network.

If you have any questions, please call our Contact Center at 206.398.5500